version: "3.8"
services:
  release-image:
    image: registry.gitlab.com/librefoodpantry/training/spikeathons/summer-2021/deploy-theas-pantry/multi-container-example/frontend:latest
    environment:
      # Space delimited list of tags that reference images in your
      # local Docker environment to be released. These tags must encode
      # the repository where the referenced image will ultimately be
      # published.
      # e.g., registry/user/image:build registry/user/image2:build .
      - IMAGES_TO_RELEASE=registry.gitlab.com/librefoodpantry/training/spikeathons/summer-2021/deploy-theas-pantry/multi-container-example/frontend:latest

      # Leave these blank; they are set in .env; we just need to pass them through
      - GIT_AUTHOR_NAME
      - EMAIL
    volumes:
      - "${DOCKER_SOCK}:/var/run/docker.sock:ro"
      - "${DOCKER_EXE}:/usr/local/bin/docker:ro"
      - "${PWD}:/app"

